// AlarmRecordHome.java

package org.objectweb.alarm.beans;

import java.lang.String;
import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the bean AlarmRecord
 */
public interface AlarmRecordHome extends EJBHome {
    AlarmRecord create() throws CreateException, RemoteException;
    AlarmRecord create(AlarmData ad) throws CreateException, RemoteException;
    AlarmRecord findByPrimaryKey(String pk) throws FinderException, RemoteException;
    AlarmRecord findAlarm(String from, String mess) throws FinderException, RemoteException;
    Collection findAll() throws FinderException, RemoteException;
    Collection findByInterest(String from, int sev) throws FinderException, RemoteException;
    Collection findBySeverity(int sev) throws FinderException, RemoteException;
}
